#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1398\r"; sleep 2;
echo -e "write (0,1) -1564\r"; sleep 2;
echo -e "write (0,2) -1366\r"; sleep 2;
echo -e "write (0,3) -1353\r"; sleep 2;
echo -e "write (0,4) -1578\r"; sleep 2;
echo -e "write (0,5) -1562\r"; sleep 2;
echo -e "write (0,6) -1288\r"; sleep 2;
echo -e "write (0,9) -1335\r"; sleep 2;
echo -e "write (0,10) -1264\r"; sleep 2;
echo -e "write (0,11) -1352\r"; sleep 2;
echo -e "write (0,12) -1232\r"; sleep 2;
echo -e "write (0,13) -1553\r"; sleep 2;
echo -e "write (0,14) -1379\r"; sleep 2;
echo -e "write (1,0) -1403\r"; sleep 2;
echo -e "write (1,1) -1228\r"; sleep 2;
echo -e "write (1,2) -1306\r"; sleep 2;
echo -e "write (1,3) -1382\r"; sleep 2;
echo -e "write (1,4) -1262\r"; sleep 2;
echo -e "write (1,5) -1315\r"; sleep 2;
echo -e "write (1,6) -1212\r"; sleep 2;
echo -e "write (1,9) -1497\r"; sleep 2;
echo -e "write (1,10) -1427\r"; sleep 2;
echo -e "write (1,11) -1529\r"; sleep 2;
echo -e "write (1,12) -1597\r"; sleep 2;
echo -e "write (1,13) -1417\r"; sleep 2;
echo -e "write (1,14) -1559\r"; sleep 2;
echo -e "write (2,0) -1583\r"; sleep 2;
echo -e "write (2,1) -1525\r"; sleep 2;
echo -e "write (2,2) -1600\r"; sleep 2;
echo -e "write (2,3) -1603\r"; sleep 2;
echo -e "write (2,4) -1274\r"; sleep 2;
echo -e "write (2,5) -1546\r"; sleep 2;
echo -e "write (2,6) -1349\r"; sleep 2;
echo -e "write (2,9) -1221\r"; sleep 2;
echo -e "write (2,10) -1438\r"; sleep 2;
echo -e "write (2,11) -1245\r"; sleep 2;
echo -e "write (2,12) -1449\r"; sleep 2;
echo -e "write (2,13) -1535\r"; sleep 2;
echo -e "write (2,14) -1326\r"; sleep 2;
echo -e "write (3,0) -1388\r"; sleep 2;
echo -e "write (3,1) -1555\r"; sleep 2;
echo -e "write (3,2) -1420\r"; sleep 2;
echo -e "write (3,3) -1511\r"; sleep 2;
echo -e "write (3,4) -1449\r"; sleep 2;
echo -e "write (3,5) -1354\r"; sleep 2;
echo -e "write (3,6) -1650\r"; sleep 2;
echo -e "write (3,9) -1466\r"; sleep 2;
echo -e "write (3,10) -1470\r"; sleep 2;
echo -e "write (3,11) -1492\r"; sleep 2;
echo -e "write (3,12) -1497\r"; sleep 2;
echo -e "write (3,13) -1367\r"; sleep 2;
echo -e "write (3,14) -1470\r"; sleep 2;
echo -e "write (4,0) -1416\r"; sleep 2;
echo -e "write (4,1) -1465\r"; sleep 2;
echo -e "write (4,2) -1655\r"; sleep 2;
echo -e "write (4,3) -1600\r"; sleep 2;
echo -e "write (4,4) -1377\r"; sleep 2;
echo -e "write (4,5) -1425\r"; sleep 2;
echo -e "write (4,6) -1438\r"; sleep 2;
echo -e "write (4,9) -1403\r"; sleep 2;
echo -e "write (4,10) -1461\r"; sleep 2;
echo -e "write (4,11) -1534\r"; sleep 2;
echo -e "write (4,12) -1612\r"; sleep 2;
echo -e "write (4,13) -1455\r"; sleep 2;
echo -e "write (4,14) -1578\r"; sleep 2;
echo -e "write (5,0) -1528\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1595\r"; sleep 2;
echo -e "write (5,3) -1320\r"; sleep 2;
echo -e "write (5,4) -1550\r"; sleep 2;
echo -e "write (5,5) -1611\r"; sleep 2;
echo -e "write (5,6) -1277\r"; sleep 2;
echo -e "write (5,9) -1619\r"; sleep 2;
echo -e "write (5,10) -1600\r"; sleep 2;
echo -e "write (5,11) -1667\r"; sleep 2;
echo -e "write (5,12) -1208\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1544\r"; sleep 2;
echo -e "write (6,0) -1600\r"; sleep 2;
echo -e "write (6,1) -1323\r"; sleep 2;
echo -e "write (6,2) -1133\r"; sleep 2;
echo -e "write (6,3) -1600\r"; sleep 2;
echo -e "write (6,4) -1228\r"; sleep 2;
echo -e "write (6,5) -1318\r"; sleep 2;
echo -e "write (6,6) -1201\r"; sleep 2;
echo -e "write (6,9) -1461\r"; sleep 2;
echo -e "write (6,10) -1272\r"; sleep 2;
echo -e "write (6,11) -1418\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1391\r"; sleep 2;
echo -e "write (6,14) -1317\r"; sleep 2;
echo -e "write (8,0) -1404\r"; sleep 2;
echo -e "write (8,1) -1363\r"; sleep 2;
echo -e "write (8,2) -1273\r"; sleep 2;
echo -e "write (8,3) -1223\r"; sleep 2;
echo -e "write (8,4) -1362\r"; sleep 2;
echo -e "write (8,5) -1600\r"; sleep 2;
echo -e "write (8,6) -1352\r"; sleep 2;
echo -e "write (8,9) -1233\r"; sleep 2;
echo -e "write (8,10) -1447\r"; sleep 2;
echo -e "write (8,11) -1480\r"; sleep 2;
echo -e "write (8,12) -1363\r"; sleep 2;
echo -e "write (8,13) -1538\r"; sleep 2;
echo -e "write (8,14) -1349\r"; sleep 2;
echo -e "write (9,0) -1599\r"; sleep 2;
echo -e "write (9,1) -1474\r"; sleep 2;
echo -e "write (9,2) -1556\r"; sleep 2;
echo -e "write (9,3) -1434\r"; sleep 2;
echo -e "write (9,4) -1466\r"; sleep 2;
echo -e "write (9,5) -1369\r"; sleep 2;
echo -e "write (9,6) -1409\r"; sleep 2;
echo -e "write (9,9) -1521\r"; sleep 2;
echo -e "write (9,10) -1496\r"; sleep 2;
echo -e "write (9,11) -1501\r"; sleep 2;
echo -e "write (9,12) -1600\r"; sleep 2;
echo -e "write (9,13) -1478\r"; sleep 2;
echo -e "write (9,14) -1408\r"; sleep 2;
echo -e "write (10,0) -1668\r"; sleep 2;
echo -e "write (10,1) -1348\r"; sleep 2;
echo -e "write (10,2) -1458\r"; sleep 2;
echo -e "write (10,3) -1626\r"; sleep 2;
echo -e "write (10,4) -1548\r"; sleep 2;
echo -e "write (10,5) -1259\r"; sleep 2;
echo -e "write (10,6) -1379\r"; sleep 2;
echo -e "write (10,9) -1649\r"; sleep 2;
echo -e "write (10,10) -1467\r"; sleep 2;
echo -e "write (10,11) -1348\r"; sleep 2;
echo -e "write (10,12) -1421\r"; sleep 2;
echo -e "write (10,13) -1430\r"; sleep 2;
echo -e "write (10,14) -1430\r"; sleep 2;
echo -e "write (11,0) -1596\r"; sleep 2;
echo -e "write (11,1) -1600\r"; sleep 2;
echo -e "write (11,2) -1320\r"; sleep 2;
echo -e "write (11,3) -1534\r"; sleep 2;
echo -e "write (11,4) -1445\r"; sleep 2;
echo -e "write (11,5) -1529\r"; sleep 2;
echo -e "write (11,6) -1600\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1440\r"; sleep 2;
echo -e "write (11,11) -1435\r"; sleep 2;
echo -e "write (11,12) -1343\r"; sleep 2;
echo -e "write (11,13) -1242\r"; sleep 2;
echo -e "write (11,14) -1583\r"; sleep 2;
echo -e "write (12,0) -1567\r"; sleep 2;
echo -e "write (12,1) -1383\r"; sleep 2;
echo -e "write (12,2) -1380\r"; sleep 2;
echo -e "write (12,3) -1621\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1284\r"; sleep 2;
echo -e "write (12,7) -1426\r"; sleep 2;
echo -e "write (12,9) -1600\r"; sleep 2;
echo -e "write (12,10) -1600\r"; sleep 2;
echo -e "write (12,11) -1411\r"; sleep 2;
echo -e "write (12,12) -1341\r"; sleep 2;
echo -e "write (12,13) -1408\r"; sleep 2;
echo -e "write (12,14) -1615\r"; sleep 2;
echo -e "write (13,0) -1600\r"; sleep 2;
echo -e "write (13,1) -1437\r"; sleep 2;
echo -e "write (13,2) -1182\r"; sleep 2;
echo -e "write (13,3) -1264\r"; sleep 2;
echo -e "write (13,4) -1369\r"; sleep 2;
echo -e "write (13,5) -1301\r"; sleep 2;
echo -e "write (13,6) -1477\r"; sleep 2;
echo -e "write (13,9) -1697\r"; sleep 2;
echo -e "write (13,10) -1498\r"; sleep 2;
echo -e "write (13,11) -1339\r"; sleep 2;
echo -e "write (13,12) -1427\r"; sleep 2;
echo -e "write (13,13) -1196\r"; sleep 2;
echo -e "write (13,14) -1600\r"; sleep 2;
echo -e "write (14,0) -1600\r"; sleep 2;
echo -e "write (14,1) -1450\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1564\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1432\r"; sleep 2;
echo -e "write (14,6) -1549\r"; sleep 2;
echo -e "write (14,9) -1435\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1606\r"; sleep 2;
echo -e "write (14,12) -1352\r"; sleep 2;
echo -e "write (14,13) -1388\r"; sleep 2;
echo -e "write (14,14) -1600\r"; sleep 2;
echo -e "write (15,0) -1421\r"; sleep 2;
echo -e "write (15,1) -1600\r"; sleep 2;
echo -e "write (15,2) -1381\r"; sleep 2;
echo -e "write (15,3) -1465\r"; sleep 2;
echo -e "write (15,4) -1353\r"; sleep 2;
echo -e "write (15,5) -1413\r"; sleep 2;
echo -e "write (15,6) -1392\r"; sleep 2;
echo -e "write (15,7) -1473\r"; sleep 2;
echo -e "write (15,8) -1420\r"; sleep 2;
echo -e "write (15,9) -1342\r"; sleep 2;
echo -e "write (15,10) -1302\r"; sleep 2;
echo -e "write (15,11) -1401\r"; sleep 2;
echo -e "write (15,12) -1315\r"; sleep 2;
echo -e "write (15,13) -1482\r"; sleep 2;
echo -e "write (15,14) -1293\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7005 > ../log/fms_hvon_7005_$t.tex
echo Set new HV
cat ../log/fms_hvon_7005_$t.tex
